Subject: Re: bug#67715: 28.2; Minibuffer content is sometimes unexpectedly partially hidden

From: Markus Triska <[email-masked]>
Date: Sat, 09 Dec 2023 21:09:48 +0100

Eli Zaretskii <[email-masked]> writes:

> This seems to work:...

Thank you a lot for looking into this! As mentioned, I am using Emacs to
simulate interactions that would take place if the user pressed certain
keys, and so I would also like to show the effects of continuous typing
in the buffer, i.e., incrementally adding or even removing text, like a
normal interaction that would take place in the minibuffer.

A condensed example of this is given in #34957, where "hello" is
followed by " there!". In my actual application, these texts are not
added in blocked chunks, but continuously letter by letter, and I can
easily do this also with a larger font by remapping the default face, in
Emacs versions before 28.2, by simply inserting the intended letters in
the minibuffer. Is there a way to implement this also in later versions
so that the program remains simple and the minibuffer is fully visible?

Thank you a lot!
Markus